<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		#ddiv{
			display:inline-block;
			min-width: 80px;
			min-height: 20px;
			border: 1px solid;
			margin-top: 15px;
			/*overflow: hidden;*/}
			#dddiv{
				width: 100%;
				height: 100%;
				padding-left: 15px;
				padding-right: 15px;
			}
			#area{
			display:inline-block;
			min-width: 80px;
			min-height: 20px;
			border: 1px solid;
			margin-top: 15px;}
			#aarea{
				width: 100%;
				height: 100%;
				padding-left: 15px;
				padding-right: 15px;
			}
		
	</style>
	<script type="text/javascript">
		/*instruccion para que despues de cargar la pagina
		ejecute todo lo que esta entre sus llaves*/
	window.addEventListener("load",function(){
		/*esta instruccion es para que la caja se vacie al 
		cargar la pagina*/
		document.querySelector("#caja").value="";

		let caja=document.querySelector("#caja");
		let boton=document.querySelector("#boton");
		
		/*asigna a la variable un evento mediante un click de raton en un boton, a una ventana o area*/
		boton.addEventListener("click",function(){
			alert(caja.value);
		let area=document.querySelector("#aarea");
		let ddiv=document.querySelector("#dddiv");	
		area.innerHTML=caja.value;
		ddiv.innerHTML=caja.value;
		})
	})
	</script>
</head>
<body>

	<form>
		<label for="caja">Nombre</label>
		<input type="textarea" id="caja"></textarea>
		<input type="button" name="" value="Aprietame" id="boton">
	</form>
	<span>Apretando el boton sale: </span>
	<div id="area">
	<!--contenteditable es para amoldar el texto a la ventana -->
		<div id="aarea" contenteditable="true"></div>
	</div>
	<div id="ddiv">
		<div id="dddiv" contenteditable="true"></div>
	</div>
</body>
</html>